# -*- coding: utf8 -*-
from flask import Flask, render_template
from helpers import jinja_template_loader, _read_file

app = Flask(__name__, static_folder='../static', template_folder='..')
app.jinja_loader = jinja_template_loader

demo_css = _read_file('demo.css')
demo_js = _read_file('demo.js')


@app.route('/')
def index():
    ctx = {
        'css': demo_css,
        'js': demo_js
    }
    return render_template('/demo/demo.html', **ctx)

if __name__ == '__main__':
    app.run(debug=True)
